MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032349Open CASCADE[OCCT] OCCT:Visualizationpublic2021-05-08 15:252021-05-15 15:42
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032349: Visualization, TKOpenGl - move base buffer interface out from OpenGl_VertexBuffer class to OpenGl_Buffer
DescriptionOpenGl_VertexBuffer class inheritance is misleading - not all buffer objects serve as vertex buffers.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0100828)
git (administrator)
2021-05-08 15:26

Branch CR32349 has been created by kgv.

SHA-1: c6af0c972227b86ec09a026fbeca219ba15b69b3


Detailed log of new commits:

Author: kgv
Date: Thu May 6 20:03:24 2021 +0300

    0032349: Visualization, TKOpenGl - move base buffer interface out from OpenGl_VertexBuffer class to OpenGl_Buffer
    
    OpenGl_FrameBuffer - added initializers taking vec2i instead of (int,int) for dimensions.
(0100830)
git (administrator)
2021-05-08 15:39

Branch CR32349 has been updated forcibly by kgv.

SHA-1: 439e1bb1203f3127efa99780c6e09feb2e2bf373
(0100831)
git (administrator)
2021-05-08 16:02

Branch CR32349 has been updated forcibly by kgv.

SHA-1: 4fb42c77642cf211b5f289029767041597b44fb6
(0100832)
git (administrator)
2021-05-08 16:23

Branch CR32349 has been updated forcibly by kgv.

SHA-1: 3eb8ed80deb808b418bf9e502cffd413a526bdb5
(0100839)
git (administrator)
2021-05-10 08:44

Branch CR32349 has been updated forcibly by kgv.

SHA-1: c7095e392955c9f32d134acabb8056745af9cf63
(0100848)
kgv (developer)
2021-05-10 14:05

Patch is ready for review
- OCCT: branch CR32349;
- OCC Products: branch CR32349.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32349-CR32349-KGV/view/COMPARE/ [^]
(0100855)
git (administrator)
2021-05-10 16:56

Branch CR32349 has been updated forcibly by kgv.

SHA-1: 8cb59c21ab2cd660d9f8673c7e585c76eed41707
(0100865)
osa (developer)
2021-05-11 10:05

The patch was reviewed
(0101010)
bugmaster (administrator)
2021-05-15 14:00

Combination -
OCCT branch : IR-2021-05-14
master SHA - d1b8120b699dfa46c9899f70430ec45a0c4e4a95
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-05-14 SHA - c56cdc236ba39874bae48cf231ece00c0876d871
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17874.080000000333 / 17899.800000000352 [-0.14%]
Products
Total CPU difference: 11557.880000000083 / 11563.54000000011 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19394.921875 / 19369.625 [+0.13%]
Products
Total CPU difference: 12880.234375 / 12896.03125 [-0.12%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101022)
git (administrator)
2021-05-15 15:13

Branch CR32349 has been deleted by inv.

SHA-1: 8cb59c21ab2cd660d9f8673c7e585c76eed41707

- Related Changesets
occt: master 1220d98e
Timestamp: 2021-05-06 17:03:24
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032349: Visualization, TKOpenGl - move base buffer interface out from OpenGl_VertexBuffer class to OpenGl_Buffer

OpenGl_Buffer - added new class as a base for OpenGl_VertexBuffer, OpenGl_IndexBuffer, OpenGl_TextureBuffer.
OpenGl_TextureBufferArb has been renamed to OpenGl_TextureBuffer.
OpenGl_FrameBuffer - added initializers taking vec2i instead of (int,int) for dimensions.
mod - src/D3DHost/D3DHost_FrameBuffer.cxx Diff ] File ]
mod - src/D3DHost/D3DHost_FrameBuffer.hxx Diff ] File ]
mod - src/D3DHost/D3DHost_View.cxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_BackgroundArray.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Buffer.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Buffer.hxx Diff ] File ]
add - src/OpenGl/OpenGl_BufferCompatT.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_DepthPeeling.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_DepthPeeling.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStats.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStatsPrs.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_IndexBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_IndexBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PBREnvironment.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Sampler.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Sampler.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_SceneGeometry.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_SceneGeometry.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.hxx Diff ] File ]
add - src/OpenGl/OpenGl_TextureBuffer.cxx Diff ] File ]
add - src/OpenGl/OpenGl_TextureBuffer.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_TextureBufferArb.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBufferArb.hxx Diff ] File ]
add - src/OpenGl/OpenGl_UniformBuffer.cxx Diff ] File ]
add - src/OpenGl/OpenGl_UniformBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_VertexBuffer.lxx Diff ] File ]
rm - src/OpenGl/OpenGl_VertexBufferCompat.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBufferCompat.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBufferEditor.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-05-08 15:25 kgv New Issue
2021-05-08 15:25 kgv Assigned To => kgv
2021-05-08 15:26 git Note Added: 0100828
2021-05-08 15:39 git Note Added: 0100830
2021-05-08 16:02 git Note Added: 0100831
2021-05-08 16:23 git Note Added: 0100832
2021-05-10 08:44 git Note Added: 0100839
2021-05-10 14:05 kgv Note Added: 0100848
2021-05-10 14:05 kgv Assigned To kgv => osa
2021-05-10 14:05 kgv Status new => resolved
2021-05-10 16:56 git Note Added: 0100855
2021-05-11 10:05 osa Note Added: 0100865
2021-05-11 10:05 osa Assigned To osa => bugmaster
2021-05-11 10:05 osa Status resolved => reviewed
2021-05-15 14:00 bugmaster Note Added: 0101010
2021-05-15 14:00 bugmaster Status reviewed => tested
2021-05-15 14:05 bugmaster Test case number => Not required
2021-05-15 14:16 bugmaster Changeset attached => occt master 1220d98e
2021-05-15 14:16 bugmaster Status tested => verified
2021-05-15 14:16 bugmaster Resolution open => fixed
2021-05-15 15:13 git Note Added: 0101022


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker